<!--% PROCESS 'shared-utils.tpl.html' %-->
  <h1 id="requesting_slot">Picking a slot for your show</h1>
  <p>
  Any host can select any free slot a up to year in advance, by recording their show and uploading it to the desired slot. In exceptional circumstances it may be necessary to reserve a slot while not having the audio available, but this must be approved by the <a href="<!--% absolute_url(baseurl,'/maillist') %-->">HPR mailing list</a> in advance. Be sure to allow as much time as possible, and include a reason why you feel it is necessary to reserve the slot.
  </p>
  <p>
  This is intended only for exceptional circumstances, such as a scheduled interview where we would like the audio to be released as soon after the event as possible, or to cover an important topical situation that has occurred. Due to the extended time now needed to post shows to external sites, the extra work this entails and the disruptive effect of reservations, we will no longer be allowing them except in very rare cases of the type mentioned above. [<a href="https://lists.hackerpublicradio.com/pipermail/hpr/2018-February/003482.html">?</a>]
  </p>
  <p>
  You can post your show by going to the <a href="<!--% hub_baseurl %-->calendar.php">Calendar</a> page. Once you have selected a date you will be redirected to the <a href="<!--% absolute_url(baseurl,'request.html') %-->">request page</a>, where you will be asked to select your show and email address. We will send a link to where you can upload your show to this address and therefore it must be a valid working address that you can access quickly. We intend to use <a href="https://www.gnupg.org/">GPG</a> to speed up the validation of hosts, so you may wish to use an email address that has an associated public key available on public key servers. 
  </p>
  <p>
  The audio of your show will not be moderated, however <em>the information provided in the upload form <strong>may be moderated</strong></em>. All publicly facing material is managed by the HPR Community as a whole, and not just the host providing the show. The show <a href="<!--% absolute_url(baseurl,'eps/hpr2210/index.html') %-->">hpr2210 :: On Freedom of Speech and Censorship</a> describes the agreed approach to this topic.
  </p>
  <p><strong>Note:</strong> This email address will be published on the HPR website and will be given out in the feeds, so please use a <strong>public email</strong> address for this purpose. Where we publish it we pad it with dot nospam at-sign nospam dot. <br />
  i.e. <em>hpr@example.com</em> becomes <em>hpr.nospam@nospam.example.com</em>. If you do not want to have your email exposed, please contact the admin@hpr team to arrange a alias.
  </p>
  <p>
  Once you press <em>next</em>, an email will be sent to your email address pointing to where you can upload the show. You need to <em>open</em> the link within <strong>15 minutes</strong> or the temporary lock will be released. Once you open the link, you can fill in the information at your leisure. The upload form works on the assumption you will be posting one show at a time, from the same IP address. Once you have pressed submit you will not be able to edit any of the information.
  </p>
  

  <h2 id="adding_the_episode">Adding the Episode</h2>
  <p>
  The unique link sent by email will allow you to manage both the episode and information about yourself that is displayed on HPR. The following information will be requested:
  </p>
  <h2 id="personal_information">Personal Information</h2>
  <p>
  Remember <em>All information will be displayed publicly</em>. The only exception is that your email address will be sent in the feed with some anti-spam additions.<br />
  For example <em>hpr@example.com</em> will become <em>hpr.nospam@nospam.example.com</em>
  </p>
  <ul>
    <li id="email"><strong>email:</strong> <em>already populated</em><br />
    See notes <a href="#requesting_slot">above</a><br />
    </li>
    <li id="image"><strong>image:</strong> <em>Optional</em><br />
    If you have associated a <a href="http://en.gravatar.com/">Gravatar</a> image with an email address, then it will be displayed here. Otherwise you can upload a 80x80 image .</li>
    <li id="Name_Handle"><strong>Name/Handle:</strong> <em>Mandatory</em><br />
    It should be the name you wish to be known as on HPR. It can be your real name, an Internet handle or both.</li>
    <li id="Default_license"><strong>Your Default license:</strong> <em>Mandatory</em><br />
    This field tells us what your work is normally licensed under. All our shows are now released under a <a href="https://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)</a> license, which means that while you continue to retain the copyright to your show you are allowing us (and everyone else) to use it provided we give you attribution and that we release it under the same license. Click the <a href="https://creativecommons.org/licenses/by-sa/4.0/">link</a> for more information.</li>
    <li id="Profile"><strong>Profile:</strong> <em>Optional</em><br />
    Enter some text about yourself with links to your blog or other online presence.</li>
  </ul>
  <p>
  Your profile information is used on the website, in the RSS feeds, and on social media sites. You can change your profile information at any time, by submitting another show.
  </p>
  <h2 id="episode_information">Episode Information</h2>
  <ul>
    <li id="Title"><strong>Title:</strong> <em>Mandatory</em><br />
    This will be a short descriptive title and will be used everywhere to identify your show. Any valid UTF-8 character is acceptable, but keep the length short and clear.</li>
    <li id="Short_Summary"><strong>Summary:</strong> <em>Mandatory</em><br />
    This is a short 100 character summary of what your show is about. Please fill this out as it is used once the show has gone off the main page, on the mobile site, on printed brochures, on text to speech announcements, on twitter, mastodon etc.</li>
    <li id="Theme"><strong>Theme:</strong> <em>Automatic</em><br />
    The <a href="<!--% absolute_url(baseurl,'theme.html#intro') %-->">Intro</a>, and the <a href="<!--% absolute_url(baseurl,'theme.html#outro') %-->">Outro</a> will be added automatically. Please do not add it.
    </li>
    <li id="Explicit"><strong>Explicit:</strong> <em>Mandatory</em><br />
    See <a href="http://www.apple.com/uk/itunes/podcasts/specs.html#submitting">iTunes</a> for more information.</li>
    <li id="License"><strong>License:</strong> <em>Mandatory</em><br />
    All our shows are now released under a <a href="https://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)</a> license, which means that while you continue to retain the copyright to your show you are allowing us (and everyone else) to use it provided we give you attribution and that we release it under the same license. Click the <a href="https://creativecommons.org/licenses/by-sa/4.0/">link</a> for more information.</li>
    <li id="show_notes"><strong>show notes:</strong> <em>Mandatory</em><br />
    It is important to provide good show notes because:
    <ul>
      <li><strong>They provide the listeners with more information on the topic.</strong><br />
      You have taken the time to record a show on a topic, so many people will want to find out more on the subject, therefore you should include links to give more information. It is not enough to just give it in the show itself as people may be listening while away from the Internet, and they may have forgotten or misheard your links.
      </li>
      <li><strong>They ensure your show gets posted on time.</strong><br />
      If you do not supply show notes then your show notes will need to be edited manually by an HPR volunteer and this will most likely result in delays. During that time other shows will be processed and may get posted before your show. It is always better if you send us show notes yourself as you know best what information you are trying to convey.</li>
      <li><strong>They encourage people to download your show.</strong><br />
      We produce a lot of shows and many people download based on the text in the show notes. If the show notes are not descriptive then it is less likely that it will get as many downloads as other shows with good show notes.</li>
      <li><strong>They allow your show to be indexed by search engines.</strong><br />
      Search engines cannot determine the content of your show from the audio alone. The only way for your show to be indexed is for you to describe in the associated text what you say in the audio.</li>
      <li><strong>They make your show accessible to the deaf and hard of hearing.</strong><br />
      Your audio is completely inaccessible to those who have hearing problems, so the only way for your show to be of help to them is if you distill the essence of the show into the show notes. If you are using a script to prepare your show then include that.</li>
    </ul>
    The amount you can enter is restricted to 4000 characters, but you can provide additional show notes if you wish. Please add them to an index.html file which you can expect to be served from http://www.hackerpublicradio.org/eps/hpr9999/index.html<br /> <br />
          <li>
    If you wish to include text formatting then please use a format that supports it. We accept:

    <ul>
    <li>HTML5</li>
    <li>Markdown (standard)</li>
    <li>Markdown (GitHub flavoured)</li>
    <li>Markdown (Pandoc flavoured)</li>
    <li>RestructuredText</li>
    <li>txt2tags</li>
    <li>Plain text</li>
    </ul> 

    However please restrict yourself to text unless you are experienced producing valid markdown/HTML5. Regardless of the format you send your shownotes will end up in html5 &lt;article&gt; section, where the header and footer are not available to you. Avoid using &lt;div&gt; or &lt;span&gt;. The inclusion of JavaScript will send your show into quarantine, until an experienced HPR volunteer can be found to debug it.<br />
    It takes us a lot longer to fix incorrectly formatted shownotes than plain text, so please only create formatted show notes if you know what you are doing and are sure that what you are writing is valid. 
    </li>
    <li id="shownotes_format"><strong>Show Note Format:</strong> <em>Optional</em><br />
    Please tell us which format, if any you used when filling in your shownotes.
    <ul>
      <li><a href="http://www.w3schools.com/html/html5_intro.asp">HTML5</a></li>
      <li><a href="https://en.wikipedia.org/wiki/Markdown">Markdown (standard)</a></li>
      <li><a href="https://help.github.com/articles/basic-writing-and-formatting-syntax/">Markdown (GitHub flavoured)</a></li>
      <li><a href="http://rmarkdown.rstudio.com/authoring_pandoc_markdown.html">Markdown (Pandoc flavoured)</a></li>
      <li><a href="http://docutils.sourceforge.net/docs/user/rst/quickstart.html">RestructuredText</a></li>
      <li><a href="http://txt2tags.org/online.php">txt2tags</a></li>
      <li>Plain text having no formatting.</li>
    </ul>
    </li>
    
    <li id="series"><strong>Series:</strong> <em>Optional</em><br />
    Select the <a href="<!--% absolute_url(baseurl,'series.html') %-->">series</a> if any that your show is a part of.
    </li>
    <li id="tags"><strong>Tags:</strong> <em>Optional</em><br />
    Add a list of comma separated tags. Pick the most important words from the shownotes. These are used to <a href="http://hackerpublicradio.org/tags.php">find shows via the tags page</a>.
    </li>
    <li id="upload_method"><strong>Upload Method:</strong> <em>Optional</em><br />
    You have the choice of the following options:<br />
      <ul>
        <li id="browser"><strong>Upload now via this browser</strong><br />
        You can upload single or multiple files using this method. Chrome will display the percentage uploaded but to see this in Firefox you will need to install a <a href="https://addons.mozilla.org/en-US/firefox/addon/uploadprogress/">plugin</a>, or just wait.
        </li>
        <li id="url"><strong>Provide a url for us to get it from</strong><br />
        Using this option may cause delays as a HPR volunteer will need to troubleshoot any issues that may occur, and this can result in your show not been posted on time.
        </li>
        <li id="upload_later"><strong>Other</strong><br />
        The postal information will be sent to you after submission.
        </li>
      </ul>
      <br />
      If you want to submit an additional file with your show, then put them in a zip, or tgz file. This should expand to a directory with a index.html file that refers to the other files. This will be hosted in the eps directory under a new directory with the episode number.
      <pre>
      http://www.hackerpublicradio.org/eps/hpr9999/index.html
      http://www.hackerpublicradio.org/eps/hpr9999/other-file.pdf
      http://www.hackerpublicradio.org/eps/hpr9999/yet-other-file.c
      ...
      </pre>
      Ensure that all links are full urls, as relative urls will not work in RSS feeds. Adding additional files will delay processing as they need to be verified manually.
    </li>
  </ul>
  <p>
  Press submit and your show will be sent to the HPR Volunteers to be processed. Keep an eye on the <a href="<!--% hub_baseurl %-->calendar.php">calendar</a> for when it is posted.
  Your show information is used to process the media files, on the website, in the RSS feeds, and on social media sites.
  </p>
